shishi_apreq_options_remove(3)

NAME
shishi_apreq_options_remove - API function

SYNOPSIS
#include <shishi.h>

int shishi_apreq_options_remove(Shishi * handle, Shishi_asn1 apreq, uint32_t option);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 apreq
    AP-REQ as allocated by shishi_apreq().

uint32_t option
    Options to remove from AP-REQ.

DESCRIPTION
Remove the AP-Options from AP-REQ. Options not set in input parameter option are preserved in the AP-REQ.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.